# Imagick::oilPaintImage

(PECL imagick 2.0.0)

Imagick::oilPaintImage — Simulates an oil painting

### Description

Imagick::oilPaintImage ( float `$radius` ) : bool

Applies a special effect filter that simulates an oil painting. Each pixel is replaced by the most frequent color occurring in a circular region defined by radius.

### Parameters

`radius`

  The radius of the circular neighborhood.

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::oilPaintImage()

`<?php
function oilPaintImage($imagePath, $radius) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->oilPaintImage($radius);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`